package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TgjjDbxx;

/**
 * 担保信息Service接口
 * 
 * @author lei
 * @date 2021-11-16
 */
public interface ITgjjDbxxService 
{
    /**
     * 查询担保信息
     * 
     * @param ID 担保信息ID
     * @return 担保信息
     */
    public TgjjDbxx selectTgjjDbxxById(Long ID);

    /**
     * 查询担保信息列表
     * 
     * @param tgjjDbxx 担保信息
     * @return 担保信息集合
     */
    public List<TgjjDbxx> selectTgjjDbxxList(TgjjDbxx tgjjDbxx);

    /**
     * 新增担保信息
     * 
     * @param tgjjDbxx 担保信息
     * @return 结果
     */
    public int insertTgjjDbxx(TgjjDbxx tgjjDbxx);

    /**
     * 修改担保信息
     * 
     * @param tgjjDbxx 担保信息
     * @return 结果
     */
    public int updateTgjjDbxx(TgjjDbxx tgjjDbxx);

    /**
     * 批量删除担保信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTgjjDbxxByIds(String ids);

    /**
     * 删除担保信息信息
     * 
     * @param ID 担保信息ID
     * @return 结果
     */
    public int deleteTgjjDbxxById(Long ID);
}
